#include "logger/logger.h"
#include "quokka_gfx/quokka_gfx.h"
#include "screens/home/homeScreen.h"

#include <iostream>

using namespace std;
//--------------------------------------------------------------
int main(int argc, char **argv)
{
  // App initialization
  Logger logger;     // Initialize the logger

  logger.log("Quokkanoid Game Started!");

  // Start the quokka GFX application instance
  quokka_gfx::Application app("Quokkanoid");
  try
  {
    app.initScreen(make_unique<HomeScreen>(&app));
    app.run();
  }
  catch (const exception &e)
  {
    cerr << "Error: " << e.what() << endl;
    return 1;
  }

  return 0;
}
//--------------------------------------------------------------
